random

- collection of un-sorted bollocks
git clone git://git.acid.vegas/random.git
Log | Files | Refs | Archive

commit 03bfdd42482cd8504c35055fdebc96dc1200fbbc
parent 9fb326fd8f513ef0f3a4d8d00c5073bcacd636f1
Author: acidvegas <acid.vegas@acid.vegas>
Date: Sat, 9 Dec 2023 18:39:47 -0500

Added deadman usb, couple of changes to other scripts, etc

Diffstat:
Dbash.bashrc | 32--------------------------------
Mbuyvm.py | 4++--
Dcertbotset.sh | 27---------------------------
Adeadman | 29+++++++++++++++++++++++++++++
Mdiskfuck.go | 2+-
Alyrics.py | 8++++++++
Amkrecon | 15+++++++++++++++

7 files changed, 55 insertions(+), 62 deletions(-)

diff --git a/bash.bashrc b/bash.bashrc
@@ -1,32 +0,0 @@
-[[ $- != *i* ]] && return
-
-shopt -s checkwinsize
-
-export LC_CTYPE=en_US.UTF-8
-export LC_ALL=en_US.UTF-8
-
-# color
-alias diff='diff --color=auto'
-alias dir='dir --color=auto'
-alias egrep='egrep --color=auto'
-alias grep='grep --color=auto'
-alias fgrep='fgrep --color=auto'
-alias ip='ip -color=auto'
-alias ls='ls --color=auto'
-alias ncdu='ncdu --color dark -rr'
-alias vdir='vdir --color=auto'
-
-# rewrites
-alias pip='pip3'
-alias python='python3'
-alias wget='wget -q --show-progress'
-
-# random
-alias ..="cd ../"
-alias up="sudo apt-get update && sudo apt-get upgrade && sudo apt autoremove"
-
-if [ $(id -u) == "0" ]; then
-	export PS1="\e[31m\u@\h\e[0m \e[33m\w \e[0m: "
-else
-	export PS1="\e[38;5;41m\u@\h\e[0m \e[38;5;69m\w \e[0m: "
-fi
diff --git a/buyvm.py b/buyvm.py
@@ -30,5 +30,5 @@ while True:
 			else:
 				stock = f'\033[32m{stock}\033[0m'
 			print(f'{name} \033[1;30m|\033[0m {price} \033[1;30m|\033[0m {features} \033[1;30m|\033[0m {stock}')
-	time.sleep(300)
-
+	time.sleep(3600)
+	print('--------------------------------------------------')
diff --git a/certbotset.sh b/certbotset.sh
@@ -1,27 +0,0 @@
-location ~ /.well-known/acme-challenge/ {
-    allow all;
-    root /var/www/html; # This should point to the webroot of your site
-}
-
-sudo nano /etc/systemd/system/certbot-renewal.service
-[Unit]
-Description=Certbot Renewal
-
-[Service]
-Type=oneshot
-ExecStart=/usr/bin/certbot renew --webroot -w /var/www/html --quiet
-
-sudo nano /etc/systemd/system/certbot-renewal.timer
-[Unit]
-Description=Run certbot renewal daily
-
-[Timer]
-OnCalendar=daily
-Persistent=true
-
-[Install]
-WantedBy=timers.target
-
-
-sudo systemctl enable certbot-renewal.timer
-sudo systemctl start certbot-renewal.timer
diff --git a/deadman b/deadman
@@ -0,0 +1,28 @@
+#!/bin/sh
+# USB Deadman's Switch - Developed by acidvegas (https://git.acid.vegas/random)
+
+# This script will create a udev rule that will execute a payload when a USB drive is removed.
+# udev is typically installed & running on most Linux distributions, but alwways verify.
+
+if [ "$#" -ne 2 ]; then
+    echo "Usage: $0 <usb_path> <payload_path>" && exit 1
+fi
+
+USB_PATH=$1
+PAYLOAD_PATH=$2
+
+if [ ! -e "$USB_PATH" ]; then
+    echo "Error: USB drive at $USB_PATH not found." && exit 1
+else if [ ! -f "$PAYLOAD_PATH" ]; then
+    echo "Error: Payload at $PAYLOAD_PATH not found." && exit 1
+fi
+
+LABEL=$(blkid -o value -s LABEL $USB_PATH)
+UUID=$(blkid -o value -s UUID $USB_PATH)
+
+echo "Deadman USB: $LABEL ($UUID)"
+
+mkdir -p /etc/udev/rules.d/
+printf "ACTION==\"remove\", ENV{ID_FS_UUID}==\"$UUID\", RUN+=\"$PAYLOAD_PATH\"\n" > /etc/udev/rules.d/99-usb-removal.rules
+
+udevadm control --reload-rules && udevadm trigger
+\ No newline at end of file
diff --git a/diskfuck.go b/diskfuck.go
@@ -8,7 +8,7 @@ import (
 )
 
 const (
-	fileName = "secure_file.dat"
+	fileName = "fuckfile.dat"
 	fileSize = 1 << 30 // 1 GB
 )
 
diff --git a/lyrics.py b/lyrics.py
@@ -0,0 +1,7 @@
+#!/usr/bin/env python
+# requires: https://pypi.org/project/lyricsgenius/
+import sys, lyricsgenius
+genius = lyricsgenius.Genius('CLIENT ACCESS TOKEN') # http://genius.com/api-clients
+genius.verbose = False
+song = genius.search_song(sys.argv[2], sys.argv[1])
+print(song.lyrics) if song else print('no lyrics found')
+\ No newline at end of file
diff --git a/mkrecon b/mkrecon
@@ -0,0 +1,15 @@
+#!/bin/sh
+sudo apt-get update && sudo apt-get upgrade -y
+sudo apt-get install -y git wget curl dnsutils nmap masscan
+export PATH=$PATH:/usr/local/go/bin            && printf "\nexport PATH=$PATH:/usr/local/go/bin\n"            >> ~/.bashrc
+export PATH=$PATH:/home/acidvegas/.pdtm/go/bin && printf "\nexport PATH=$PATH:/home/acidvegas/.pdtm/go/bin\n" >> ~/.bashrc
+source $HOME/.bashrc
+wget -O gosource.tar.gz https://go.dev/dl/go1.21.4.linux-amd64.tar.gz && sudo tar -C /usr/local -xzf gosource.tar.gz && rm gosource.tar.gz
+mkdir -p $HOME/git
+git clone https://github.com/blechschmidt/massdns.git $HOME/git/massdns && cd git/massdns && make && sudo make install && cd
+git clone https://github.com/projectdiscovery/nuclei-templates.git $HOMEgit/nuclei-templates
+go install -v github.com/projectdiscovery/pdtm/cmd/pdtm@latest
+pdtm -ia
+
+
+